<?php
namespace Magento\PageBuilder\Block\Catalog\Block\Product\View\Attributes;

/**
 * Interceptor class for @see \Magento\PageBuilder\Block\Catalog\Block\Product\View\Attributes
 */
class Interceptor extends \Magento\PageBuilder\Block\Catalog\Block\Product\View\Attributes implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Framework\View\Element\Template\Context $context, \Magento\Framework\Registry $registry, \Magento\Framework\Pricing\PriceCurrencyInterface $priceCurrency, array $data = [])
    {
        $this->___init();
        parent::__construct($context, $registry, $priceCurrency, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
